OpenNMS API 1.2.9

## org.opennms.web
Class InitializerServletContextListener.RTCPostSubscriberTimerTask

    java.lang.Object
      java.util.TimerTask
          org.opennms.web.InitializerServletContextListener.RTCPostSubscriberTimerTask

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  InitializerServletContextListener

public class InitializerServletContextListener.RTCPostSubscriberTimerTask
extends java.util.TimerTask

Field Summary
`private CategoryList` `m_categorylist`
`private javax.servlet.ServletContext` `m_context`

Fields inherited from class java.util.TimerTask
``

Constructor Summary
`InitializerServletContextListener.RTCPostSubscriberTimerTask(javax.servlet.ServletContext context)`

Method Summary
`void` `run()`

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_context

    private javax.servlet.ServletContext m_context

### m_categorylist

    private CategoryList m_categorylist

Constructor Detail

### InitializerServletContextListener.RTCPostSubscriberTimerTask

    public InitializerServletContextListener.RTCPostSubscriberTimerTask(javax.servlet.ServletContext context)
                                                                 throws javax.servlet.ServletException

Method Detail

### run

    public void run()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.